Package com.destroystokyo.paper.loottable

# Interface LootableEntityInventory

All Superinterfaces:
  `Lootable`, `LootableInventory`

All Known Subinterfaces:
  `HopperMinecart`, `StorageMinecart`

public interface LootableEntityInventory extends LootableInventory
Represents an Inventory that can generate loot, such as Minecarts inside of Mineshafts

## Method Summary

Modifier and Type
Method
Description
`@NotNull Entity`
`getEntity()`
Gets the entity that is lootable

### Methods inherited from interface org.bukkit.loot.Lootable

`clearLootTable, getLootTable, getSeed, hasLootTable, setLootTable, setLootTable, setSeed`

### Methods inherited from interface com.destroystokyo.paper.loottable.LootableInventory

`getLastFilled, getLastLooted, getLastLooted, getNextRefill, hasBeenFilled, hasPendingRefill, hasPlayerLooted, hasPlayerLooted, isRefillEnabled, setHasPlayerLooted, setHasPlayerLooted, setNextRefill`

## Method Details

### getEntity

@NotNull @NotNull Entity getEntity()
Gets the entity that is lootable

Returns:
  The Entity